Subject: Re: [PATCH 1/6] d80211: change the cookie to be opaque

From: Johannes Berg <[email-masked]>
Date: Fri, 03 Nov 2006 09:42:46 +0100

On Thu, 2006-11-02 at 21:28 -0500, Michael Wu wrote:

> That's because TX might fail for reasons other than not getting an ACK. I 
> can't say I've actually seen this happen, so it might just be something left 
> over from tulip that doesn't need to be there now. (or perhaps it only 
> happens when there's something really bad going on) However, what's so bad 
> about letting drivers update some statistics if it is possible? If you remove 
> ieee80211_dev_stats, please provide some other way for drivers to access 
> struct net_device_stats.

Well, you were only changing the master netdev's stats, which isn't
really useful because you want to change the device that transmitted the
frame. But you cannot, because you don't have access to it. In general,
the stack should be doing this, so if some other tx errors are possible
maybe we should add a flag to the tx status.

johannes